Bug 1475282 - [Remove-brick] Few files are getting migrated eventhough the bricks crossed cluster.min-free-disk value
[Remove-brick] Few files are getting migrated eventhough the bricks crossed c...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
mainline
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Susant Kumar Palai
:
Depends On: 1474812
Blocks: 1477152
  Show dependency treegraph
 
Reported: 2017-07-26 07:39 EDT by Susant Kumar Palai
Modified: 2017-12-08 12:35 EST (History)
8 users (show)

See Also:
Fixed In Version: glusterfs-3.13.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1474812
: 1477152 (view as bug list)
Environment:
Last Closed: 2017-12-08 12:35:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Worker Ant 2017-07-26 07:52:24 EDT
REVIEW: https://review.gluster.org/17876 (cluster/dht: rebalance min-free-disk fix) posted (#1) for review on master by Susant Palai (spalai@redhat.com)
Comment 2 Susant Kumar Palai 2017-07-26 07:53:33 EDT
upstream patches:
https://review.gluster.org/#/c/17876/
https://review.gluster.org/#/c/17868/
Comment 3 Worker Ant 2017-07-27 03:20:19 EDT
REVIEW: https://review.gluster.org/17876 (cluster/dht: rebalance min-free-disk fix) posted (#2) for review on master by Susant Palai (spalai@redhat.com)
Comment 4 Worker Ant 2017-07-27 08:34:19 EDT
REVIEW: https://review.gluster.org/17868 (cluster/dht: Handle wrong rebalance status reporting) posted (#3) for review on master by Susant Palai (spalai@redhat.com)
Comment 5 Worker Ant 2017-07-31 06:12:23 EDT
REVIEW: https://review.gluster.org/17876 (cluster/dht: rebalance min-free-disk fix) posted (#3) for review on master by Susant Palai (spalai@redhat.com)
Comment 6 Worker Ant 2017-07-31 06:27:42 EDT
REVIEW: https://review.gluster.org/17868 (cluster/dht: Handle wrong rebalance status reporting) posted (#4) for review on master by Susant Palai (spalai@redhat.com)
Comment 7 Worker Ant 2017-08-01 02:10:18 EDT
COMMIT: https://review.gluster.org/17876 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit c7cc5049fc8965836926a6f1b3a3270ad1aa566d
Author: Susant Palai <spalai@redhat.com>
Date:   Wed Jul 26 17:12:03 2017 +0530

    cluster/dht: rebalance min-free-disk fix
    
    To calculate available space on a subvolume we used to do
    the following in __dht_check_free_space.
    
    post_availspace = (dst_statfs.f_bavail * dst_statfs.f_frsize) - stbuf->ia_size
    
    Now to subtracting the file size from available space is tricky here.
    Sometime available space will be lesser than the file size and since all the
    participating members in calculation are unsigned int, the result is a large
    number (integer overflow).
    
    Solution: We do not need to subtract the file size from the space available,
    since fallocate would have reserved file size space already.
    
    Change-Id: I4f724358c44b9911933742ff3ff8d55b3dfda1cb
    BUG: 1475282
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: https://review.gluster.org/17876
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-by: N Balachandran <nbalacha@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
Comment 8 Worker Ant 2017-08-01 02:24:08 EDT
REVIEW: https://review.gluster.org/17868 (cluster/dht: Handle wrong rebalance status reporting) posted (#5) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 9 Worker Ant 2017-08-01 02:54:39 EDT
COMMIT: https://review.gluster.org/17868 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit ed0a3acfccbbfc96f417d8dba880e3d070bb0043
Author: Susant Palai <spalai@redhat.com>
Date:   Thu Jul 27 16:33:12 2017 +0530

    cluster/dht: Handle wrong rebalance status reporting
    
    Change-Id: Id91ef35f890055cd42b9a94462f92297c77f1fff
    Bug: 1475282
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: https://review.gluster.org/17868
    Tested-by: Raghavendra G <rgowdapp@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
Comment 10 Shyamsundar 2017-12-08 12:35:59 EST
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.13.0, please open a new bug report.

glusterfs-3.13.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://lists.gluster.org/pipermail/announce/2017-December/000087.html
[2] https://www.gluster.org/pipermail/gluster-users/

Note You need to log in before you can comment on or make changes to this bug.